Bug 811300 - [as7] Temporarily comment out requests for Availability check
[as7] Temporarily comment out requests for Availability check
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Provisioning (Show other bugs)
4.3
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: RHQ 4.4.0
Assigned To: Heiko W. Rupp
Mike Foley
:
Depends On:
Blocks: as7-plugin
  Show dependency treegraph
 
Reported: 2012-04-10 12:22 EDT by Heiko W. Rupp
Modified: 2013-09-01 06:01 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 06:01:48 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2012-04-10 12:22:52 EDT
The as7 plugin code contains calls to a new availability related method:

context.getAvailabilityContext().requestAvailabilityCheck();

This is not compatible with JON 3.0.1 and RHQ 4.3.

We need to temporarily comment them out and later enable them again for 4.4
Comment 1 Heiko W. Rupp 2012-04-10 12:26:40 EDT
commented out in master 55f3f6a
Comment 3 Charles Crouch 2012-05-01 23:32:50 EDT
Lets go ahead and revert this now prior to RHQ4.4
Comment 4 Heiko W. Rupp 2012-05-02 05:41:06 EDT
master 4bafc63

Also uses the new availabilityContext methods to enable/disable datasources and deployments.
Comment 5 Heiko W. Rupp 2013-09-01 06:01:48 EDT
Bulk closing of items that are on_qa and in old RHQ releases, which are out for a long time and where the issue has not been re-opened since.

Note You need to log in before you can comment on or make changes to this bug.